[arch-commits] Commit in zeitgeist/repos (6 files)

Jan Steffens heftig at nymeria.archlinux.org
Sun Apr 21 22:21:01 UTC 2013


    Date: Monday, April 22, 2013 @ 00:21:01
  Author: heftig
Revision: 183481

db-move: moved zeitgeist from [testing] to [extra] (i686, x86_64)

Added:
  zeitgeist/repos/extra-i686/PKGBUILD
    (from rev 183480, zeitgeist/repos/testing-i686/PKGBUILD)
  zeitgeist/repos/extra-x86_64/PKGBUILD
    (from rev 183480, zeitgeist/repos/testing-x86_64/PKGBUILD)
Deleted:
  zeitgeist/repos/extra-i686/PKGBUILD
  zeitgeist/repos/extra-x86_64/PKGBUILD
  zeitgeist/repos/testing-i686/
  zeitgeist/repos/testing-x86_64/

-----------------------+
 /PKGBUILD             |   92 ++++++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD   |   36 ------------------
 extra-x86_64/PKGBUILD |   36 ------------------
 3 files changed, 92 insertions(+), 72 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2013-04-21 22:20:19 UTC (rev 183480)
+++ extra-i686/PKGBUILD	2013-04-21 22:21:01 UTC (rev 183481)
@@ -1,36 +0,0 @@
-# $Id$
-# Maintainer:
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: György Balló <ballogy at freestart.hu>
-
-pkgname=zeitgeist
-pkgver=0.9.5
-pkgrel=1
-pkgdesc="A service which logs the users's activities and events and makes relevant information available to other applications"
-arch=('i686' 'x86_64')
-url="http://zeitgeist-project.com/"
-license=('GPL')
-depends=('python2-dbus' 'python2-gobject2' 'python2-xdg' 'xapian-core')
-makedepends=('intltool' 'raptor' 'python2-rdflib')
-checkdepends=('vala')
-source=("https://launchpad.net/$pkgname/${pkgver%.*}/$pkgver/+download/$pkgname-$pkgver.tar.bz2")
-md5sums=('5841e4624b07ba74866fb177f1c9aae7')
-
-build() {
-  cd "$srcdir/$pkgname-$pkgver"
-  sed -i 's/python -/$PYTHON -/' configure
-  PYTHON=/usr/bin/python2 LIBS+="-lgmodule-2.0" ./configure --prefix=/usr \
-    --sysconfdir=/etc --libexecdir=/usr/lib/zeitgeist --localstatedir=/var
-  make
-}
-
-check() {
-  cd "$srcdir/$pkgname-$pkgver"
-  make -j1 check
-}
-
-package() {
-  cd "$srcdir/$pkgname-$pkgver"
-  make DESTDIR="$pkgdir" zeitgeistdocdir=/usr/share/doc/zeitgeist install
-  install -D -m644 data/zeitgeist-daemon.bash_completion "$pkgdir/usr/share/bash-completion/completions/zeitgeist-daemon"
-}

Copied: zeitgeist/repos/extra-i686/PKGBUILD (from rev 183480, zeitgeist/repos/testing-i686/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2013-04-21 22:21:01 UTC (rev 183481)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: György Balló <ballogy at freestart.hu>
+
+pkgname=zeitgeist
+pkgver=0.9.12
+pkgrel=1
+pkgdesc="Service logging user activities and events"
+arch=(i686 x86_64)
+url="http://zeitgeist-project.com/"
+license=(GPL2 LGPL2.1)
+depends=(sqlite json-glib telepathy-glib gtk3)
+makedepends=(intltool gobject-introspection vala raptor python2-rdflib)
+provides=(zeitgeist-datahub)
+conflicts=(zeitgeist-datahub)
+replaces=(zeitgeist-datahub)
+options=('!libtool')
+source=("https://launchpad.net/$pkgname/${pkgver%.*}/$pkgver/+download/$pkgname-$pkgver.tar.xz")
+sha256sums=('f9b1b656dcd4da57438289316d44f8960ce0ee4773ea2fbab4bce165330f41cd')
+
+prepare() {
+  cd $pkgname-$pkgver
+  sed -i 's/python -/$PYTHON -/' configure configure.ac
+}
+
+build() {
+  cd $pkgname-$pkgver
+  export PYTHON=/usr/bin/python2
+  autoreconf -fi
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+    --libexecdir=/usr/lib/$pkgname
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # Log test fails in chroot, as we have no X and no proper dbus
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install #zeitgeistdocdir=/usr/share/doc/zeitgeist install
+  #install -D -m644 data/zeitgeist-daemon.bash_completion "$pkgdir/usr/share/bash-completion/completions/zeitgeist-daemon"
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2013-04-21 22:20:19 UTC (rev 183480)
+++ extra-x86_64/PKGBUILD	2013-04-21 22:21:01 UTC (rev 183481)
@@ -1,36 +0,0 @@
-# $Id$
-# Maintainer:
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: György Balló <ballogy at freestart.hu>
-
-pkgname=zeitgeist
-pkgver=0.9.5
-pkgrel=1
-pkgdesc="A service which logs the users's activities and events and makes relevant information available to other applications"
-arch=('i686' 'x86_64')
-url="http://zeitgeist-project.com/"
-license=('GPL')
-depends=('python2-dbus' 'python2-gobject2' 'python2-xdg' 'xapian-core')
-makedepends=('intltool' 'raptor' 'python2-rdflib')
-checkdepends=('vala')
-source=("https://launchpad.net/$pkgname/${pkgver%.*}/$pkgver/+download/$pkgname-$pkgver.tar.bz2")
-md5sums=('5841e4624b07ba74866fb177f1c9aae7')
-
-build() {
-  cd "$srcdir/$pkgname-$pkgver"
-  sed -i 's/python -/$PYTHON -/' configure
-  PYTHON=/usr/bin/python2 LIBS+="-lgmodule-2.0" ./configure --prefix=/usr \
-    --sysconfdir=/etc --libexecdir=/usr/lib/zeitgeist --localstatedir=/var
-  make
-}
-
-check() {
-  cd "$srcdir/$pkgname-$pkgver"
-  make -j1 check
-}
-
-package() {
-  cd "$srcdir/$pkgname-$pkgver"
-  make DESTDIR="$pkgdir" zeitgeistdocdir=/usr/share/doc/zeitgeist install
-  install -D -m644 data/zeitgeist-daemon.bash_completion "$pkgdir/usr/share/bash-completion/completions/zeitgeist-daemon"
-}

Copied: zeitgeist/repos/extra-x86_64/PKGBUILD (from rev 183480, zeitgeist/repos/testing-x86_64/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2013-04-21 22:21:01 UTC (rev 183481)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: György Balló <ballogy at freestart.hu>
+
+pkgname=zeitgeist
+pkgver=0.9.12
+pkgrel=1
+pkgdesc="Service logging user activities and events"
+arch=(i686 x86_64)
+url="http://zeitgeist-project.com/"
+license=(GPL2 LGPL2.1)
+depends=(sqlite json-glib telepathy-glib gtk3)
+makedepends=(intltool gobject-introspection vala raptor python2-rdflib)
+provides=(zeitgeist-datahub)
+conflicts=(zeitgeist-datahub)
+replaces=(zeitgeist-datahub)
+options=('!libtool')
+source=("https://launchpad.net/$pkgname/${pkgver%.*}/$pkgver/+download/$pkgname-$pkgver.tar.xz")
+sha256sums=('f9b1b656dcd4da57438289316d44f8960ce0ee4773ea2fbab4bce165330f41cd')
+
+prepare() {
+  cd $pkgname-$pkgver
+  sed -i 's/python -/$PYTHON -/' configure configure.ac
+}
+
+build() {
+  cd $pkgname-$pkgver
+  export PYTHON=/usr/bin/python2
+  autoreconf -fi
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+    --libexecdir=/usr/lib/$pkgname
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # Log test fails in chroot, as we have no X and no proper dbus
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install #zeitgeistdocdir=/usr/share/doc/zeitgeist install
+  #install -D -m644 data/zeitgeist-daemon.bash_completion "$pkgdir/usr/share/bash-completion/completions/zeitgeist-daemon"
+}




More information about the arch-commits mailing list